using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CryptoCMP.CAInteraction;
using CryptoCMP.Utils;
using CryptoCMP;

namespace RevokeCertCMP
{
    class Program
    {
        static void Main(string[] args)
        {

            RevokeCert rev_cert = new RevokeCert();
            byte[] res = rev_cert.FormRevokeRequest("profile://OCSP_TEST", (int)CpTumar.AT_KEYEXCHANGE, CpTumar.REASON_keyCompromise);
            int err = 0;
            SendRequest send = new SendRequest();
            byte[] resp4 = send.SendMessage(1, "192.168.10.30", "62295", res, ref err);

            VerifyCMPResponce ver = new VerifyCMPResponce();
            ver.profile = "profile://OCSP_TEST";            
            bool r = ver.Verify(resp4, CpTumar.PKI_CMP_RP);
        }
    }
}
